
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/media-sound/mt-daapd/mt-daapd-0.3.0_pre1376.ebuild,v 1.3 2007/02/17 01:02:34 flameeyes Exp $

inherit eutils flag-o-matic multilib autotools

COMMIT="e3fb8f00cf4192a5e44c46c973964ea937bf4759"

SRC_URI="http://alioth.debian.org/~jblache/forked-daapd/${P}.tar.gz"
RESTRICT="mirror"
EAPI='2'

DESCRIPTION="A multi-threaded implementation of Apple's DAAP server"
HOMEPAGE="http://www.jblache.org/projects/daapd/index.html"

user='daapd'
group=${user}

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="itunes flac"

DEPEND="sys-libs/zlib
	=dev-libs/antlr-c-3*
	dev-java/antlr:3
	dev-libs/confuse
	>=dev-libs/libevent-1.4
	>=dev-db/sqlite-3.5[unlock-notify] 
	>=dev-libs/libgcrypt-1.2.0
	>=net-dns/avahi-0.6.24[dbus]
	media-video/ffmpeg
	dev-libs/mini-xml
	sys-libs/libavl
	dev-libs/libunistring
	vorbis? ( media-libs/libvorbis )
	flac? ( media-libs/flac )
	musepack? ( media-libs/taglib )
	itunes? ( app-pda/libplist )"

pkg_setup() {
	ebegin "Creating nginx user and group"
	enewgroup ${group}
	enewuser ${user} -1 -1 -1 ${group}
	eend ${?}
}

src_unpack() {
	mkdir -p ${S}
	cd ${S}
	cat ${DISTDIR}/${A} | tar xz --strip=1
}

src_prepare() {
	eautoreconf 
}

src_configure() {
	append-flags -fno-strict-aliasing

	econf \
		$(use_enable flac) \
		$(use_enable itunes) \
		|| die "configure failed"
	emake || die "make failed"

	cp ${FILESDIR}/${PN}.init ${WORKDIR}/initd
}

src_install() {
	make DESTDIR=${D} install || die "make install failed"

	newinitd ${WORKDIR}/initd ${PN}

	keepdir /var/cache/forked-daapd 
	fowners ${user}:${group} /var/cache/forked-daapd

	dodoc AUTHORS ChangeLog NEWS README
}

